SerDiag                           Manual                            SerDiag

   NAME

      SerDiag - Diagnostic tool for monitoring the serial port (with a view 
                to working out mouse protocols/debugging LogiMouse 
                from the info)

   SYNOPSIS
      
      SerDiag        [-d <serial.device>]
                     [-u <unit>]
                     [-q]
                     [-b <Baud rate>]
                     [-s <Stop bits>]
                     [-w <Read/Write len>]
  
   DESCRIPTION

      SerDiag is a tool for monitoring your serial device, it prints
      each byte read to standard output (usually the shell you run it 
      from but you can re-direct the output to a file if you wish 
      ( "SerDiag > ram:SerDiag.out" ).

      It was written for de-coding the protocol of a LogiTech mouse
      (but is not limited to this..).

   OPTIONS

      -d <serial.device>         (defaults to serial.device)
      -u <unit>                  (defaults to 0)
      -q 								quit
      -b <Baud rate>             (defaults to 1200)
      -s <StopBits>              (defaults to 1)
      -w <Read/Write len>        (defaults to 7)

   EXAMPLE

      SerDiag -u2                Monitors port 2 of serial device
      SerDiag -q                 Quits an already running SerDiag

   ERRORS

      None known

   WARNING

      If you really want to open the serial dev. with 10 read/write bits
      and 4 stopbit go ahead (but no good will come of it.. ;-) )

   BUGS/PROBLEMS

      None known

   SPECIAL REQUIREMENTS

   Needs OS 2.04 or higher.

   AUTHOR

      Simon Richardson
      simon@albert.demon.co.uk

   COPYRIGHT

      Simon Richardson 1994 - 1995.

   PRICE

      SerDiag is emailware (if you like it let me know)

   DISTRIBUTABILITY

      Freely Distributable, (c) 1994-95 Simon Richardon

   DISCLAMER

      Well.. there's not actually much that can go wrong..
      if however you wish to prove me wrong, go ahead..
      but i take no resposibilty for your actions (or indeed
      the actions of this program)                           
      
      
      If you like it, use it.. If you hate it delete it.
        
   HISTORY

      1.01  30/03/95    First Aminet release (as part of the
                        LogiTech distribution).

